2013-03-15  Michael Albinus  <michael.albinus@gmx.de>

	Version 2.2.7 released.

	* configure.ac: Bump version.

	* Makefile.in (gittag): Renamed from cvstag.  Adapt commands.
	(tar): Remove temporary directory.

2012-12-14  Michael Albinus  <michael.albinus@gmx.de>

	* README: Mention README-GIT and download.sh.

	* README-GIT: Renamed from README-CVS.  Adapted for Git use.

	* Makefile.in (MANIFEST): Add further files to be excluded.

	* download.sh: New file.

2012-12-06  Michael Albinus  <michael.albinus@gmx.de>

	* Makefile.in (XEMACS_FILES): Remove lisp/tramp-util.el and
	lisp/tramp-vc.el.

	* aclocal.m4: Do not check for EMACS_UTILS.

2012-12-02  Jürgen Hötzel  <juergen@archlinux.org>

	* tramp-adb.el: Add prompt used on Android > 4.0 devices. Remove
	dependency on CL sequence functions. Implement file-writable-p.

2012-12-02  Michael Albinus  <michael.albinus@gmx.de>

	* .gitignore: Add file.

2012-11-23  Michael Albinus  <michael.albinus@gmx.de>

	* Makefile.in: Add tramp-adb.el.

2012-10-09  Michael Albinus  <michael.albinus@gmx.de>

	* configure.ac: Bump version (to 2.2.7-pre).  Update merge
	version to 2.2.6.

2012-09-12  Michael Albinus  <michael.albinus@gmx.de>

	Version 2.2.6 released.

	* configure.ac: Bump version.

2012-06-20  Michael Albinus  <michael.albinus@gmx.de>

	* aclocal.m4: Use "-no-autoloads" instead of "-vanilla" in case of
	XEmacs.  Suggested by Steve Youngs <steve@sxemacs.org>.

2012-06-06  Michael Albinus  <michael.albinus@gmx.de>

	* configure.ac: Bump version (to 2.2.6-pre).

2012-06-03  Michael Albinus  <michael.albinus@gmx.de>

	Version 2.2.5 released.

	* configure.ac: Bump version.

2012-01-27  Michael Albinus  <michael.albinus@gmx.de>

	* Makefile.in (MAKEINFO): Remove variable.

2012-01-17  Michael Albinus  <michael.albinus@gmx.de>

	* configure.ac: Bump version (to 2.2.5-pre).

2012-01-15  Michael Albinus  <michael.albinus@gmx.de>

	Version 2.2.4 released.

	* configure.ac: Bump version.

2011-10-25  Michael Albinus  <michael.albinus@gmx.de>

	* configure.ac: Bump version (to 2.2.4-pre).  Update merge
	version to 2.2.3-24.1.

2011-10-23  Michael Albinus  <michael.albinus@gmx.de>

	Version 2.2.3 released.

	* configure.ac: Bump version.

2011-08-03  Michael Albinus  <michael.albinus@gmx.de>

	* configure.ac: Bump version (to 2.2.3-pre).  Update merge
	version to 2.2.2.

2011-07-30  Michael Albinus  <michael.albinus@gmx.de>

	Version 2.2.2 released.

	* configure.ac: Bump version.

2011-04-17  Michael Albinus  <michael.albinus@gmx.de>

	* configure.ac: Bump version (to 2.2.2-pre).  Update merge
	version to 2.2.1.

2011-03-12  Michael Albinus  <michael.albinus@gmx.de>

	Version 2.2.1 released.

	* configure.ac: Bump version.

	* INSTALL: Use consistently "Emacs" (instead of "GNU Emacs").

2011-02-13  Michael Albinus  <michael.albinus@gmx.de>

	* aclocal.m4 (AC_EMACS_INFO) Remove imap support.

	* Makefile.in: Remove tramp-fish.el and tramp-imap.el.

2011-02-03  Era Eriksson  <era+tramp@iki.fi>  (tiny change)

	* README-CVS: Mention downstream versions compatibility.

2010-12-27  Michael Albinus  <michael.albinus@gmx.de>

	* aclocal.m4 (AC_CONTRIB_FILES): Use AC_CONFIG_LINKS.

2010-11-30  Michael Albinus  <michael.albinus@gmx.de>

	* configure.ac: Bump version (to 2.2.1-pre).  Update merge
	version to 2.2.0.

2010-11-20  Michael Albinus  <michael.albinus@gmx.de>

	Version 2.2.0 released.

	* configure.ac: Bump version.

2010-10-21  Michael Albinus  <michael.albinus@gmx.de>

	* configure.ac: Substitute abs_builddir instead of abs_srcdir.

2010-09-17  Michael Albinus  <michael.albinus@gmx.de>

	* configure.ac: Regenerate autoloads.

2010-09-06  Michael Albinus  <michael.albinus@gmx.de>

	* configure.ac: Substitute abs_srcdir.

2010-09-02  Michael Albinus  <michael.albinus@gmx.de>

	* INSTALL (System Requirements): Adapt versions.
	(Japanese Manual): Remove.

	* Makefile.in (XEMACS_FILES): Remove texi/tramp_ja.texi.
	(cvstag): Use -F.
	(savannah): Don't configure --with-japanese-manual.

	* aclocal.m4 (AC_EMACS_INFO): Pretty-print TRAMP_EMACS_VERSION_CHECK.
	(AC_JA_MANUAL): Remove.

	* configure.ac: Bump version (to 2.2.0-pre).  Update merge
	version to 2.1.19.  Remove AC_JA_MANUAL call.

2010-08-23  Michael Albinus  <michael.albinus@gmx.de>

	Version 2.1.19 released.

	* configure.ac: Bump version.

	* Makefile.in (tar): Create version 1.1 directive.

2010-07-19  Michael Albinus  <michael.albinus@gmx.de>

	* .dir-locals.el: New file.

2010-03-19  Michael Albinus  <michael.albinus@gmx.de>

	* aclocal.m4 (AC_EMACS_INFO): Discard GNU Emacs 21 compatibility.

2010-03-15  Michael Albinus  <michael.albinus@gmx.de>

	* configure.ac: Bump version (to 2.1.19-pre).  Update merge
	version to 2.1.18.

2010-03-14  Michael Albinus  <michael.albinus@gmx.de>

	Version 2.1.18 released.

	* configure.ac: Bump version.

2009-11-08  Michael Albinus  <michael.albinus@gmx.de>

	* configure.ac: Bump version (to 2.1.18-pre).  Update merge
	version to 2.1.17.

2009-11-07  Michael Albinus  <michael.albinus@gmx.de>

	Version 2.1.17 released.

	* configure.ac: Bump version.

2009-09-24  Michael Albinus  <michael.albinus@gmx.de>

	* aclocal.m4 (AC_EMACS_INFO) Add imap support.

	* Makefile.in: Add tramp-imap.el.

2009-06-29  Michael Albinus  <michael.albinus@gmx.de>

	* configure.ac: Bump version (to 2.1.17-pre).  Update merge
	version to 2.1.16.

2009-06-22  Michael Albinus  <michael.albinus@gmx.de>

	Version 2.1.16 released.

	* configure.ac: Bump version.

2009-06-15  Michael Albinus  <michael.albinus@gmx.de>

	* aclocal.m4 (AC_EMACS_INFO): Make TRAMP_EMACS_VERSION_CHECK fit
	for SXEmacs 22.

2009-02-06  Michael Albinus  <michael.albinus@gmx.de>

	* configure.ac: Bump version (to 2.1.16-pre).  Update merge
	version to 2.1.15.

	* Makefile.in: Add tramp-gvfs.el.

	* aclocal.m4 (AC_EMACS_INFO): Add gvfs support.

2009-02-01  Michael Albinus  <michael.albinus@gmx.de>

	Version 2.1.15 released.

	* configure.ac: Bump version.

2008-08-22  Michael Albinus  <michael.albinus@gmx.de>

	* configure.ac: Bump version (to 2.1.15-pre).  Update merge
	version to 2.1.14.

2008-07-27  Michael Albinus  <michael.albinus@gmx.de>

	Version 2.1.14 released.

	* configure.ac: Bump version.

	* aclocal.m4 (AC_EMACS_LISP): Move change to ...
	(AC_CONTRIB_FILES): Require 'timer-funcs in case of XEmacs.

2008-07-24  Michael Albinus  <michael.albinus@gmx.de>

	* aclocal.m4 (AC_EMACS_LISP): Require 'timer-funcs in case of
	XEmacs.  It is needed for password.el.

2008-03-30  Michael Albinus  <michael.albinus@gmx.de>

	* configure.ac: Bump version (to 2.1.14-pre).  Update merge
	version to 2.1.13.

2008-03-29  Michael Albinus  <michael.albinus@gmx.de>

	Version 2.1.13 released.

	* configure.ac: Bump version.

2008-01-26  Michael Albinus  <michael.albinus@gmx.de>

	* COPYING: New file.

2008-01-12  Michael Albinus  <michael.albinus@gmx.de>

	Update copyrights.

	* configure.ac: Bump version (to 2.1.13-pre).  Update merge
	version to 2.1.12.

2007-12-23  Michael Albinus  <michael.albinus@gmx.de>

	Version 2.1.12 released.

	* configure.ac: Bump version.

2007-10-18  Michael Albinus  <michael.albinus@gmx.de>

	* configure.ac: Bump version (to 2.1.12-pre).  Update merge
	version to 2.1.11.

	* Makefile.in (EMACS_EL_FILES, XEMACS_FILES): Add tramp-cmds.el.

2007-10-10  Michael Albinus  <michael.albinus@gmx.de>

	Version 2.1.11 released.

	* configure.ac: Bump version.

2007-09-30  Michael Albinus  <michael.albinus@gmx.de>

	* Makefile.in (EMACS_EL_FILES, XEMACS_FILES): Add tramp-compat.el.

2007-09-28  Michael Albinus  <michael.albinus@gmx.de>

	* aclocal.m4 (AC_PATH_LISPDIR): Handle `datarootdir'.

	* configure.ac (top): Handle `datarootdir'.

2007-07-29  Michael Albinus  <michael.albinus@gmx.de>

	* Makefile.in: Use utf-8 encoding with coding cookie.

2007-07-23  Michael Albinus  <michael.albinus@gmx.de>

	* configure.ac: Bump version (to 2.1.11-pre).  Update merge
	version to 2.1.10.

2007-07-22  Michael Albinus  <michael.albinus@gmx.de>

	Version 2.1.10 released.

	* configure.ac: Bump version.

2007-07-07  Michael Albinus  <michael.albinus@gmx.de>

	* aclocal.m4 (AC_EMACS_INFO): Check whether tramp-util.el and
	tramp-vc.el are still needed.

	* Makefile.in (EMACS_EL_FILES): Remove tramp-util.el and
	tramp-vc.el.

2007-07-01  Michael Albinus  <michael.albinus@gmx.de>

	* aclocal.m4: Add GPLv3 license.

	* configure.ac: Migrate to GPLv3 license.  Remove contrib files
	check of base64.el, md5.el, uudecode.el, run_at_time.el.

	* Makefile.in: Migrate to GPLv3 license.

	* README: Remove tramp2 directory.

2007-05-28  Michael Albinus  <michael.albinus@gmx.de>

	* Makefile.in (XEMACS_FILES) Add texi/doclicense.texi.

2007-04-15  Michael Albinus  <michael.albinus@gmx.de>

	* configure.ac: Bump version (to 2.1.10-pre).

	* INSTALL: Commands cannot contain whitespaces in their path.

2007-04-08  Michael Albinus  <michael.albinus@gmx.de>

	Version 2.1.9 released.

	* configure.ac: Bump version.

2007-03-25  Michael Albinus  <michael.albinus@gmx.de>

	* aclocal.m4 (AC_EMACS_INFO): Add gateway support.
	(AC_EMACS_CHECK_LIB): Remove.

	* configure.ac: Add gateway support.

2007-02-14  Michael Albinus  <michael.albinus@gmx.de>

	* Makefile.in: Add tramp-gw.el.

2007-01-18  Michael Albinus  <michael.albinus@gmx.de>

	* configure.ac: Bump version (to 2.1.9-pre).

2007-01-14  Michael Albinus  <michael.albinus@gmx.de>

	Version 2.1.8 released.

	* configure.ac: Bump version.

2007-01-09  Michael Albinus  <michael.albinus@gmx.de>

	* configure.ac: texi2dvi cannot be called with "-o /dev/null",
	this changes permissions of /dev/null.  Reported by Hans Halvorson
	<hhalvors@Princeton.EDU>

2006-12-27  Michael Albinus  <michael.albinus@gmx.de>

	* Makefile.in: Add tramp-fish.el

2006-10-25  Michael Albinus  <michael.albinus@gmx.de>

	* configure.ac: Bump version (to 2.1.8-pre).

2006-09-03  Michael Albinus  <michael.albinus@gmx.de>

	Version 2.1.7 released.

	* configure.ac: Bump version.

2006-06-04  Michael Albinus  <michael.albinus@gmx.de>

	* aclocal.m4 (AC_PATH_LISPDIR, AC_PATH_INFODIR): Expand
	`datarootdir´.  Perform all expansions with "eval".

	* configure.ac: Add "-o /dev/null" to texi2dvi call.

2006-05-31  Michael Albinus  <michael.albinus@gmx.de>

	* configure.ac: Bump version (to 2.1.7-pre).

2006-05-28  Michael Albinus  <michael.albinus@gmx.de>

	Version 2.1.6 released.

	* configure.ac: Bump version.

	* aclocal.m4 (AC_PATH_LISPDIR): Apply replacement in
	$lispdir_default twice.

2006-03-14  Michael Albinus  <michael.albinus@gmx.de>

	* Makefile.in: Implement DESTDIR support.

	* INSTALL: Mention DESTDIR support.

2005-12-28  Michael Albinus  <michael.albinus@gmx.de>

	* configure.ac: Bump version (to 2.1.6-pre).

2005-12-11  Michael Albinus  <michael.albinus@gmx.de>

	Version 2.1.5 released.

	* configure.ac: Bump version.

	* INSTALL: Point to Posix environments for installation under MS
	Windows.

2005-12-02  Michael Albinus  <michael.albinus@gmx.de>

	* INSTALL, configure.ac: We depend on GNU texinfo 4.6.

2005-11-29  Michael Albinus  <michael.albinus@gmx.de>

	* configure.ac: Remove creation of info directory.

	* Makefile.in (MANIFEST): Call ./config.status in order to
	regenerate $(CONFIG_FILES).

2005-10-23  Michael Albinus  <michael.albinus@gmx.de>

	* configure.ac: Bump version (to 2.1.5-pre).

	* Makefile.in (clean): Cleanup also subdirectory test.
	(MANIFEST): Exclude tramp2 and .cvsignore.

2005-10-18  Michael Albinus  <michael.albinus@gmx.de>

	* aclocal.m4 (AC_PATH_LISPDIR, AC_PATH_INFODIR): `datadir',
	`lispdir' and `infodir' should still contain environment
	variables, which can be changed during make. `lispdir_default' and
	`infodir_default' must be expanded for the Tramp manual.

2005-10-13  Michael Albinus  <michael.albinus@gmx.de>

	Version 2.1.4 released.

	* configure.ac: Bump version.

2005-10-11  Michael Albinus  <michael.albinus@gmx.de>

	* aclocal.m4 (AC_PATH_LISPDIR, AC_PATH_INFODIR): Rearrange
	substitutions that they are accepted with older shell versions.

2005-10-11  Steve Youngs  <steve@sxemacs.org>

	* Makefile.XEmacs (REQUIRES): Remove fsf-compat, add
	sh-script (for executable-find).

2005-10-09  Michael Albinus  <michael.albinus@gmx.de>

	* INSTALL: Provide working options for installing on MS Windows.

2005-08-28  Michael Albinus  <michael.albinus@gmx.de>

	* Makefile.in: Replace trampcache.el by tramp-cache.el.

2005-07-10  Michael Albinus  <michael.albinus@gmx.de>

	Update FSF's address in GPL notices.

2005-03-20  Michael Albinus  <michael.albinus@gmx.de>

	* Makefile.in (FTP_UPLOAD): Change upload address to
	"ftp://ftp-upload.gnu.org/incoming/ftp".
	(tar): Handle "$(TARNAME).tar.gz.directive".

2005-02-13  Michael Albinus  <michael.albinus@gmx.de>

	* INSTALL: Replace "Linux" by "GNU/Linux".  Suggested by Richard
	M. Stallman <rms@gnu.org>

	* aclocal.m4 (AC_PATH_LISPDIR): Document an alternative approach
	configuring `lispdir'.  Not activated (yet).

	* configure.ac: Documentation fix.

2005-02-09  Kim F. Storm  <storm@cua.dk>

	Change release version from 21.4 to 22.1 throughout.

2005-02-05  Michael Albinus  <michael.albinus@gmx.de>

	* INSTALL: Explain in more detail configure parameters
	"with-xemacs", "--with-lispdir" and "--infodir".  Change bug
	report address to [tramp-devel@gnu.org].

	* aclocal.m4 (AC_PATH_LISPDIR, AC_PATH_INFODIR): Rewrite
	completely in order to apply better default values.

	* configure.ac: Reorder substitution of installation directories
	wrt changes in aclocal.m4.

2005-01-28  Michael Albinus  <michael.albinus@gmx.de>

	* INSTALL: Linux configure option prefix should be
	"--prefix=/usr".  Reported by Bradley Dilger <dilger@wrecking.org>.

	* configure.ac: Bump version (to 2.1.4-pre).  Change bug report
	address to [tramp-devel@gnu.org].

2005-01-16  Michael Albinus  <michael.albinus@gmx.de>

	* Makefile.in (savannah): Revert change from 2004-10-10.  It
	doesn't work.

	Version 2.1.3 released.

	* configure.ac: Bump version.

2004-12-30  Michael Albinus  <michael.albinus@gmx.de>

	* aclocal.m4, configure.ac: grep(1) on OpenBSD 3.6 does not
	understand the '-' option.  Small change.  From Ryan Yeske
	<rcyeske@gmail.com>.

2004-10-17  Michael Albinus  <michael.albinus@gmx.de>

	* Makefile.XEmacs, package-info.in: Synchronize with XEmacs CVS
	repository.

2004-10-10  Michael Albinus  <michael.albinus@gmx.de>

	* Makefile.in (savannah): Don't apply "configure" for Japanese
	manual, but call "make -C texi" with proper variable settings.

	* aclocal.m4 (AC_EMACS_INFO): Write default values in help output
	for "--with-xemacs" and "--with-emacs".
	(AC_PATH_LISPDIR): Write default value in help output for
	"--with-lispdir".
	(all): Unify capitalization for help output.

	* configure.ac: Bump version (to 2.1.3-pre).

2004-09-19  Michael Albinus  <michael.albinus@gmx.de>

	Version 2.1.2 released.

	* INSTALL: Mention useful configure option "--prefix=/usr/share"
	for Linux systems.  Reported by Charles Curley
	<charlescurley@charlescurley.com>.

	* Makefile.in (XEMACS_FILES): New variable.
	(emacs): Use "cvs -f diff" in order to suppress "~/.cvsrc".  There
	might be conflicting options else.
	(xemacs): Reworked.  Same philosophy as `emacs' now.

	* configure.ac: Bump version.

2004-09-16  Michael Albinus  <michael.albinus@gmx.de>

	* Makefile.in (AUTOCONF): New variable.
	(configure): Apply it.  Reported by Norbert Koch
	<viteno@xemacs.org> in order to have a simple possibility applying
	autoconf under another name.

2004-08-14  Michael Albinus  <michael.albinus@gmx.de>

	* configure.ac: Bump version (to 2.1.2-pre).  Set
	TRAMP_EMACS_MERGE_VERSION (to 2.0.44).

2004-08-10  Michael Albinus  <michael.albinus@gmx.de>

	* Makefile.in (EMACS_EL_FILES): Remove lisp/trampver.el, it is a
	generated file.
	(emacs): Copy trampver.el.

2004-08-09  Michael Albinus  <michael.albinus@gmx.de>

	Version 2.1.1 released.

	* configure.ac: Bump version.

2004-07-30  Michael Albinus  <michael.albinus@gmx.de>

	* INSTALL: Precise supported (X)Emacs versions.

	* aclocal.m4 (AC_EMACS_INFO): Add check for proper (X)Emacs
	version.

	* configure.ac: Precise comments.

2004-06-26  Kai Grossjohann  <kai.grossjohann@gmx.net>

	* Makefile.in: Remove special-casing for building as an XEmacs
	package.  They have their own repository with their own Makefile.
	(cl-release): New target, makes "Version X released." ChangeLog
	entries.

2004-06-06  Michael Albinus  <michael.albinus@gmx.de>

	* README-CVS: Explaining stable releases and pre-releases in CVS.

2004-06-03  Michael Albinus  <michael.albinus@gmx.de>

	* configure.ac (FTP_UPLOAD): New variable, indicating which ftp
	upload program to savannah has to be used.  Kai and Michael differ
	in their preferences ...

	* Makefile.in (FTP_UPLOAD): New variable.  Value depending on
	@FTP_UPLOAD@.
	(savannah): Use it.

2004-06-01  Michael Albinus  <michael.albinus@gmx.de>

	* .cvsignore: Add *.diff.

	* configure.ac (TRAMP_CLEAN_FILES): Add .*~ and *.diff.

2004-05-30  Michael Albinus  <michael.albinus@gmx.de>

	* configure.ac: Set TRAMP_EMACS_MERGE_VERSION (to 2.0.41).

2004-05-29  Michael Albinus  <michael.albinus@gmx.de>

	* Makefile.in (.SILENT): Add lisp target.
	(info): Depends on $(CONFIG_FILES).

2004-05-29  Kai Grossjohann  <kai.grossjohann@gmx.net>

	* configure.ac: Use "-pre" suffix on CVS versions.

2004-05-28  Kai Grossjohann  <kai.grossjohann@gmx.net>

	* configure.ac: Bump version (to 2.1.1).

	* Makefile.in (lisp): New target: byte-compile the lisp/*.el files.

2004-05-07  Kai Grossjohann  <kai@emptydomain.de>

	* configure.ac: Bump version to 2.1.1, marking the start of the
	development branch.

2004-05-07  Kai Grossjohann  <kai@emptydomain.de>

	* configure.ac: Bump version (to 2.0.41) and set the
	last-merged-with-Emacs version (to 2.0.40).  Hm.  The version bump
	to 2.0.41 is probably bogus, we want to create a stable
	branch...  Argh.

	* Makefile.in (emacs): Don't patch man/trampver.texi in the Emacs
	repository, just copy texi/trampver.texi there.  We can't run
	"cvs diff" on texi/trampver.texi since it is a generated file, so
	our patching trick won't work for this file.

	* configure.ac (TRAMP_EMACS_MERGE_VERSION): New variable,
	indicating which was the last revision of Tramp that was merged
	into Emacs.  Don't forget to update this after running "make
	emacs" (or "gmake emacs")!

	* Makefile.in (EMACS_EL_FILES): Mention files explicitly to make
	sure that tramp-efs.el is not included.
	(EMACS_TEXI_FILES): New variable, lists manual files that need to
	be merged with the Emacs repository.
	(TRAMP_EMACS_MERGE_VERSION, TRAMP_EMACS_MERGE_TAG): New
	variables, indicating which was the last revision of Tramp that
	was merged into Emacs.  Automatically set by configure, original
	is in configure.ac.
	(emacs): Reword to use patches instead of copying the files.
	This helps to make sure that changes to Tramp files in the Emacs
	repository aren't overwritten.

2004-05-02  Kai Grossjohann  <kai@emptydomain.de>

	* Makefile.in (savannah): Use FreeBSD syntax for FTP upload.

	Version 2.0.40 released.

	* aclocal.m4 (AC_CONTRIB_FILES): Load the library in question
	before invoking fboundp on the function searched.

	* configure.ac: Bump version.

2004-04-09  Michael Albinus  <Michael.Albinus@alcatel.de>

	* aclocal.m4 (AC_EMACS_INSTALL): Rewrite function.  Apply a
	variable substitution rather then a file substitution.

	* configure.ac: Adapt comment for AC_EMACS_INSTALL call.

2004-03-29  Michael Albinus  <Michael.Albinus@alcatel.de>

	* configure.ac: Beautify check for "install-info".

	* INSTALL (Installation Names): Describe what to do in case of
	errors and warnings.
	(Load Path): Add XEmacs example.

2004-03-28  Michael Albinus  <Michael.Albinus@alcatel.de>

	* configure.ac: Check existence of "install-info".  Taken from
	Emacs configure.in.

2004-03-14  Michael Albinus  <Michael.Albinus@alcatel.de>

	* INSTALL: Explain new option `--with-contrib'.  Remove
	description for explicit use of "contrib" directory.  Remove
	examples where EMACS environment variable is set explicitly; this
	can cause confusion.

	* Makefile.in: Don't check for $(USE_CONTRIB) any longer.
	(distclean) Recurse to subdirectories.
	(xemacs): Use ""$(MAKE)" instead of "make".
	(emacs): Use "--with-emacs" configure option.
	(savannah): Use "ftp-upload" instead of "scp".  Hope it works for
	Kai.

	* aclocal.m4 (AC_EMACS_LISP): Use "-vanilla" in case of XEmacs.
	(AC_CONTRIB_FILES): New function.  Checks for the need of
	provisioning of a contributed package.

	* configure.ac: Apply `AC_CONTRIB_FILES' for all Lisp files of
	contrib directory.

2004-03-05  Michael Albinus  <Michael.Albinus@alcatel.de>

	* configure.ac: Write "${MAKE}" if appropriate (but "make").

	* Makefile.in: (.PHONY): Remove unused targets.
	(distclean): Remove also *.tar.gz*
	(tar): Call gpg.

2004-03-02  Kai Grossjohann  <kai@emptydomain.de>

	* configure.ac: Look for "gmake", first.

2004-02-29  Kai Grossjohann  <kai@emptydomain.de>

	* Makefile.in (dist, install-html): Remove unused targets.

	Version 2.0.39 released.

	* configure.ac: Bump version.

2004-01-09  Michael Albinus  <Michael.Albinus@alcatel.de>

	* aclocal.m4 (AC_EMACS_INFO): If an (X)Emacs binary is given,
	check also for absolute paths.  Reported by Eli Tziperman.

2004-01-02  Michael Albinus  <Michael.Albinus@alcatel.de>

	* configure.ac: *.elc files must be removed always.  Otherwise,
	there could be problems if they are created with the wrong Emacs
	flavor.

2003-11-30  Kai Grossjohann  <kai.grossjohann@gmx.net>
	Version 2.0.38 released.

	* configure.ac: Bump version number.

2003-11-29  Kai Grossjohann  <kai.grossjohann@gmx.net>

	* Makefile.in (tar): Avoid --mode arg to tar, it seems to be too
	recent.  Instead, call "chmod -R" to frob the permissions on the
	directory before tarring it up.

	* configure.ac: Bump version to 2.0.37.

2003-10-01  Michael Albinus  <Michael.Albinus@alcatel.de>

	* INSTALL (Japanese Manual): New section.

	* Makefile.in (distclean): Remove directory "info".
	(savannah): Call "configure --with-japanese-manual".

	* aclocal.m4 (AC_JA_MANUAL): New function.

	* configure.ac: Move AC_EMACS_INSTALL.  Call AC_JA_MANUAL.

2003-10-01  Michael Albinus  <Michael.Albinus@alcatel.de>

	* aclocal.m4 (AC_PATH_INFODIR): Fix path to xemacs site-packages.
	From Norbert Koch <viteno@xemacs.org>.

2003-08-23  Kai Großjohann  <kai.grossjohann@gmx.net>

	* Makefile.in (tar): Make sure that files in tarball are readable
	by world.

2003-07-26  Michael Albinus  <Michael.Albinus@alcatel.de>

	* configure.ac: Add "-s" option for make version check.  Kai's
	kludge not needed anymore.

2003-07-26  Kai Großjohann  <kai.grossjohann@gmx.net>

	* Makefile.in (xemacs): Use new `xemacs' target in lisp subdir,
	instead of copying *.el files manually.

2003-07-20  Kai Großjohann  <kai.grossjohann@gmx.net>
	Version 2.0.36 released.

	* configure.ac: Bump version.
	Kludge suitable version test to pass for Kai doing "make
	savannah".  For some reason, make prints "Entering directory
	foo" and "Leaving directory foo" messages in that case.

2003-07-15  Michael Albinus  <Michael.Albinus@alcatel.de>

	* INSTALL: List required GNU software for installation.

2003-07-14  Michael Albinus  <Michael.Albinus@alcatel.de>

	* aclocal.m4 (AC_EMACS_INFO): Fix typo.

	* configure.ac: Add a check for suitable make version.
	Reported by Sven Utcke <utcke@informatik.uni-hamburg.de>.

	* test.makefile: New file.  Used for checking proper "make"
	version.

2003-06-24  Kai Großjohann  <kai.grossjohann@gmx.net>

	* Makefile.in (xemacs): Make sure to configure for XEmacs.

2003-06-17  Kai Großjohann  <kai.grossjohann@gmx.net>

	* configure.ac: Bump version.

2003-05-24  Michael Albinus  <Michael.Albinus@alcatel.de>

	* aclocal.m4 (AC_EMACS_LISP): Use `--no-site-file' option for
	Emacs call, in order to avoid loading of Tramp in site specific
	init files.  Reported by Harry Putnam <reader@newsguy.com>.

	* Makefile.in (configure): It depends on "aclocal.m4", too.

2003-05-24  Kai Großjohann  <kai.grossjohann@gmx.net>

	* configure.ac: Bump version.

	* Makefile.in (cvstag): "cvs tag", not "cvs cvstag".

2003-04-24  Michael Albinus  <Michael.Albinus@alcatel.de>

	* Makefile.in (.PHONY): Add `tags'.
	(distclean) Remove also "autom4te.cache".

2003-04-18  Kai Großjohann  <kai.grossjohann@gmx.net>

	* Makefile.in (tags): New target.
	(cvstag): Renamed from `tag' to avoid confusion with `tags'.

2003-04-17  Michael Albinus  <Michael.Albinus@alcatel.de>

	* Makefile.in (.SILENT): New target.  Remove noise entering
	subdirectories.
	(.PHONY): Add missing targets.
	(all, install): Merge them into one rule.
	($(CONFIG_FILES)): Depend on $(CONFIG_FILES:=.in), too.
	(configure): Remove "--trace" option from autoconf call.  It
	prevented generation of configure.

2003-04-14  Michael Albinus  <Michael.Albinus@alcatel.de>

	* aclocal.m4 (AC_EMACS_INFO): Make "emacs" as default if $EMACS
	isn't set.  Be more robust this case.

2003-04-08  Kai Großjohann  <kai.grossjohann@gmx.net>

	* Makefile.in (savannah): Invoke configure after creating the
	distribution tarball, because that deletes texi/Makefile which is
	needed for the rest of the target.

2003-04-08  Kai Großjohann  <kai.grossjohann@gmx.net>

	Version 2.0.33 released.

	* configure.ac: Bump version.

2003-04-08  Kai Großjohann  <kai.grossjohann@uni-duisburg.de>

	Version 2.0.32 released.

	* configure.ac: Bump version.

2003-04-06  Michael Albinus  <Michael.Albinus@alcatel.de>

	* aclocal.m4 (AC_EMACS_INSTALL): New macro.  Depending on
	configure option `--with-packaging', Tramp installation chapter
	will be part of the manual, or not.

	* configure.ac (top-level): Apply `AC_EMACS_INSTALL'.

	* Makefile.in (xemacs, emacs): Call `./configure --with-packaging'
	in order to generate `trampver.texi' without installation chapter.

2003-03-30  Kai Großjohann  <kai.grossjohann@gmx.net>

	* Makefile.in (xemacs, emacs): Copy trampver.texi, too.

2003-03-29  Kai Großjohann  <kai.grossjohann@gmx.net>

	Version 2.0.31 released.

	* configure.ac: Bump version.

2003-03-24  Michael Albinus  <Michael.Albinus@alcatel.de>

	* INSTALL: Add a first step calling `autoconf' in case Tramp is
	taken from CVS sources.

2003-03-22  Michael Albinus  <Michael.Albinus@alcatel.de>

	* .cvsignore (Makefile, config.*, configure): Added.

	* INSTALL: New file.

	* Makefile.in: New file.  Derived from Makefile, which will be
	generated now.
	(EMACS, EMACS_INFO, MAKEINFO, CONFIG_FILES, CLEAN_FILES)
	(VERSION, TARNAME): Generated by configure.
	(RM, XEMACS_TARGET, EMACS_TARGET): New variables.
	(DIRS): Add contrib if USE_CONTRIB is set.
	(EMACS_EL_FILES): Wildcard used.
	(all): Depends on $(CONFIG_FILES).
	(install, distclean, maintainer-clean, $(CONFIG_FILES), config.status)
	(configure): New targets.
	(prepversion, realclean): Removed.
	(clean): Cleanup top directory as well.
	(tag): $(VERSION) has the correct format already.
	(MANIFEST): Depends on configure and distclean.  Most of the
	discarded file types could be removed.
	(tar, dist, savannah): Use $(TARNAME).
	(xemacs): Use $(XEMACS_TARGET).
	(emacs): Use $(EMACS_TARGET).

	* Makefile: Removed from CVS.

	* README: Update file list and maintainer address.

	* README-CVS: Primary source of version number resides in
	`configure.ac' now.

	* aclocal.m4: New file.

	* configure.ac: New file.

2003-02-28  Kai Großjohann  <kai.grossjohann@uni-duisburg.de>

	* Makefile (VERSION): Bump.

2003-02-05  Kai Großjohann  <kai.grossjohann@uni-duisburg.de>

	Version 2.0.29 released.

	* Makefile (VERSION): Bump.

2003-01-02  Kai Großjohann  <kai.grossjohann@uni-duisburg.de>

	* Makefile (EMACS_EL_FILES): List of files for Emacs repository.
	(emacs): New target.  Copy data into Emacs CVS repository.
	(xemacs): Copy more files to XEmacs repository.

2002-12-23  Kai Großjohann  <kai.grossjohann@uni-duisburg.de>

	Version 2.0.28 released.

2002-12-05  Kai Großjohann  <kai.grossjohann@uni-duisburg.de>

	* Makefile (VERSION): Bump.

2002-11-28  Kai Großjohann  <kai.grossjohann@uni-duisburg.de>

	* Makefile (VERSION): Bump.

2002-10-19  Kai Großjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	* Makefile (xemacs): Add reminder for Kai.

2002-10-06  Kai Großjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	* Makefile (VERSION): Bump.

2002-10-03  Kai Großjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	* Makefile (realclean): New target, delete info file and tarball
	here.

2002-09-29  Kai Großjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	* Makefile (VERSION): Bump.

2002-09-28  Kai Großjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	* Makefile (cvs-update): New convenience target.
	(clean): Remove info subdir, too.

2002-09-27  Kai Großjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	Version 2.0.23 released.

2002-09-22  Kai Großjohann  <grossjoh@ls6.informatik.uni-dortmund.de>

	Version 2.0.22 released.

	* Makefile (VERSION): Bump.

	Version 2.0.20 released.

2002-09-16  Kai Großjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	* contrib/README: Explain uudecode.el.

	* contrib/uudecode.el: New file.

2002-09-13  Kai Großjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	Version 2.0.19 released.

	* Makefile (VERSION): Bump.

2002-09-13  Kai Großjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	Version 2.0.18 released.

	* Makefile (VERSION): Bump
	(MANIFEST): Ignore .#* files.

2002-09-12  Kai Großjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	Version 2.0.17 released.

	* Makefile (tar): Depend on prepversion, not tag.
	(dist): Depend on tag.
	(VERSION): Bump.

2002-09-11  Kai Großjohann  <grossjoh@ls6.informatik.uni-dortmund.de>

	* Makefile (VERSION): Bump.

2002-09-01  Kai Großjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	Version 2.0.15 released.

	* Makefile (VERSION): Bump.
	(dist): Don't try to install on local ftp server unless at
	university account.

2002-08-22  Kai Großjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	Version 2.0.14 released.

	* Makefile (VERSION): Bump.

2002-08-21  Kai Großjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	Version 2.0.13 released.

	* Makefile (VERSION): Bump.

2002-08-07  Kai Großjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	Version 2.0.12 released.

	* Makefile (VERSION): Bump.

2002-08-05  Kai Großjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	Version 2.0.11 released.

	* Makefile (xemacs): Adjust to new directory names after moving
	from SourceForge to Savannah.
	(VERSION): Bump.

2002-08-04  Kai Großjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	Version 2.0.10 released.

	* Makefile (VERSION): Bump.

2002-08-04  Kai Großjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	Version 2.0.9 released.

	* Makefile (VERSION): Bump.

2002-08-03  Kai Großjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	Version 2.0.8 released.

2002-08-03  Kai Großjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	Version 2.0.7 released.

2002-08-03  Kai Großjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	Version 2.0.6 released.

2002-07-30  Kai Großjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	Version 2.0.5 released.

2002-07-29  Kai Großjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	Version 2.0.4 released.

2002-07-29  Kai Großjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	* Makefile (prepversion): New target, invokes itself in lisp and
	texi subdirs.
	(tag): New target, adds a CVS tag for the current version.
	(dist): Invoke it.

2002-07-26  Kai Großjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	* Makefile: Bump version, preparing for next release.  (But that
	release is not soon.)

2002-07-24  Steve Youngs  <youngs@xemacs.org>

	* Makefile (all): Export $VERSION to the subdirectories.

2002-07-23  Kai Großjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	* Makefile (VERSION): New version 2.0.3.

2002-07-19  Kai Großjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	Version 2.0.2 released.

	* Makefile (VERSION): New version 2.0.2.

2002-06-25  Kai Großjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	Version 2.0.1 released.

	* Makefile (VERSION): New version 2.0.1.

2002-06-19  Kai Großjohann  <grossjoh@ls6.informatik.uni-dortmund.de>

	* tramp.texi: New todo item.

2002-06-17  Kai Großjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	Version 2.0.0 released.

	* Makefile: Include version number.
	(MANIFEST): Don't include directory name "tramp/" in the entries.
	(tar): Create a tramp-$(VERSION).tar.gz file.
	(dist, savannah): tramp.tar.gz renamed to tramp-$(VERSION).tar.gz.

2002-06-16  Kai Großjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	* Makefile (tar): Make sure tarball is world-readable.

2002-06-14  Kai Großjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	* Makefile (MANIFEST): Write it in the source dir, not in "..".
	(tar): Create only one tarball, don't distinguish between
	developer release and stable release.
	(sourceforge): Remove target.  The project has moved to Savannah.
	(savannah): New target for uploading tarball to Savannah.
	Also make home page.

2002-01-22  Kai Großjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	* Makefile (xemacs): New target: copy stuff to the XEmacs package
	source directory.

2002-01-02  Kai Großjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	* contrib/Makefile (clean): Add target.
	(all): Ditto.

2001-12-06  Kai Großjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	* Makefile.XEmacs (upstream-cvs-update): Remove target.
	Suggested by Stephen Turnbull.

	* Makefile: Make it work inside XEmacs, too.  From Stephen
	J. Turnbull <stephen@xemacs.org>.
	(MANIFEST): New directory layout.

2001-11-07  Kai Großjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	* Makefile (sourceforge): Submit tarballs via FTP automatically.

2001-10-08  Kai Großjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	* Makefile (tar): Add rules for more tarballs.

2001-09-07  Kai Großjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	* Makefile (Module): Rule for submitting to SourceForge.

;; Local Variables:
;; coding: utf-8
;; add-log-time-zone-rule: t
;; End:
